searchNodes=[{"doc":"ExHealth is a simple extensible health check utility that monitors your applications.","ref":"ExHealth.html","title":"ExHealth","type":"module"},{"doc":"Defines a healthcheck function. Takes the following arguments: :name - a string for the name of the health check :block - block that returns :ok | true | {:error, &quot;Reason&quot;} Examples defmodule MyApp.HealthChecks do health_check ( &quot;Database&quot; ) do MyDB . ping ( ) # This should return :ok | true | {:error, &quot;Reason&quot;} end end","ref":"ExHealth.html#health_check/2","title":"ExHealth.health_check/2","type":"macro"},{"doc":"Defines a healthcheck function for a given process. Returns :ok if the process has one of the following statuses: :running :waiting See Process.info/1 for more information about process status. Examples defmodule MyApp.HealthChecks do process_check ( MyApp.SomeImportantService ) end","ref":"ExHealth.html#process_check/1","title":"ExHealth.process_check/1","type":"macro"},{"doc":"Starts the application with empty state.","ref":"ExHealth.html#start/0","title":"ExHealth.start/0","type":"function"},{"doc":"Callback implementation for Application.start/2 .","ref":"ExHealth.html#start/2","title":"ExHealth.start/2","type":"function"},{"doc":"Synchronously fetches the latest status from ExHealth.HealthServer . Examples iex&gt; ExHealth . status ( ) % ExHealth.Status { checks : [ % ExHealth.Check { mfa : { ExHealth.SelfCheck , :hc__ExHealth_HealthServer , [ ] } , name : &quot;ExHealth_HealthServer&quot; } ] , interval_ms : 15000 , last_check : nil , result : %{ check_results : [ ] , msg : :pending } }","ref":"ExHealth.html#status/0","title":"ExHealth.status/0","type":"function"},{"doc":"Stops the Application.","ref":"ExHealth.html#stop/0","title":"ExHealth.stop/0","type":"function"},{"doc":"A struct for storing healthcheck information.","ref":"ExHealth.Check.html","title":"ExHealth.Check","type":"module"},{"doc":"","ref":"ExHealth.Check.html#t:t/0","title":"ExHealth.Check.t/0","type":"type"},{"doc":"The HealthServer is a GenServer that is responsible for running all health checks and determining system health. All other integrations must communicate to the HealthServer to get information about the latest checks.","ref":"ExHealth.HealthServer.html","title":"ExHealth.HealthServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExHealth.HealthServer.html#child_spec/1","title":"ExHealth.HealthServer.child_spec/1","type":"function"},{"doc":"Start the HealthServer for a given state of type ExHealth.Status.t .","ref":"ExHealth.HealthServer.html#start_link/1","title":"ExHealth.HealthServer.start_link/1","type":"function"},{"doc":"A plug for integerating into a web application. Examples In Phoenix router.ex : scope &quot;/&quot; do forward ( &quot;/_health&quot; , ExHealth.Plug ) end Please ensure to use scope/2 , otherwise the alias will not let you access the ExHealth namespace. For a more complete example, see the Example Phoenix App .","ref":"ExHealth.Plug.html","title":"ExHealth.Plug","type":"module"},{"doc":"Callback implementation for Plug.call/2 .","ref":"ExHealth.Plug.html#call/2","title":"ExHealth.Plug.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1 .","ref":"ExHealth.Plug.html#init/1","title":"ExHealth.Plug.init/1","type":"function"},{"doc":"A struct for storing state of the HealthServer.","ref":"ExHealth.Status.html","title":"ExHealth.Status","type":"module"},{"doc":"","ref":"ExHealth.Status.html#to_json/1","title":"ExHealth.Status.to_json/1","type":"function"},{"doc":"","ref":"ExHealth.Status.html#t:t/0","title":"ExHealth.Status.t/0","type":"type"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Catch nil return of Process.whereis/1 in process_check/1 macro","ref":"changelog.html#v0-2-0-2020-06-17","title":"Changelog - v0.2.0 - 2020-06-17","type":"extras"},{"doc":"Update deps and author","ref":"changelog.html#v0-1-3-2018-05-05","title":"Changelog - v0.1.3 - 2018-05-05","type":"extras"},{"doc":"Switch maintainer URLs","ref":"changelog.html#v0-1-2-2018-12-11","title":"Changelog - v0.1.2 - 2018-12-11","type":"extras"},{"doc":"Add credo and documentation updates","ref":"changelog.html#v0-1-1-2018-10-27","title":"Changelog - v0.1.1 - 2018-10-27","type":"extras"},{"doc":"Initial Release","ref":"changelog.html#v0-1-0-2018-09-24","title":"Changelog - V0.1.0 - 2018-09-24","type":"extras"},{"doc":"When contributing to this repository, please first discuss the change you wish to make via issue, email, or any other method with the owners of this repository before making a change. Please note we have a code of conduct, please follow it in all your interactions with the project.","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"Once you have the repo cloned, just run $ mix deps.get and then you should be able start ExHealth with CLI: $ iex -S mix","ref":"contributing.html#developer-setup","title":"Contributing - Developer Setup","type":"extras"},{"doc":"We're using CircleCI to run our builds, and it runs fairly quickly, but if you'd like to run tests locally, you should run the following: $ script/test This runs ExHealth tests, dialyzer, and tests located in example applications.","ref":"contributing.html#running-tests","title":"Contributing - Running Tests","type":"extras"},{"doc":"Create your own fork this repository. Update the README.md with details of changes to any configuration, setup, or functionality of this application. Increase the version numbers in mix.exs . The versioning scheme we use is SemVer . Please include relevant tests and/or modifications to the examples. You may merge the Pull Request once you have the sign-off of one other developers, or if you do not have permission to do that, the reviewer should merge it for you.","ref":"contributing.html#pull-request-process","title":"Contributing - Pull Request Process","type":"extras"},{"doc":"Our Pledge In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation. Our Standards Examples of behavior that contributes to creating a positive environment include: Using welcoming and inclusive language Being respectful of differing viewpoints and experiences Gracefully accepting constructive criticism Focusing on what is best for the community Showing empathy towards other community members Examples of unacceptable behavior by participants include: The use of sexualized language or imagery and unwelcome sexual attention or advances Trolling, insulting/derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or electronic address, without explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting Our Responsibilities Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior. Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful. Scope This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers. Enforcement Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at kartstig@gmail.com. All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately. Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership. Attribution This Code of Conduct is adapted from the Contributor Covenant , version 1.4, available at http://contributor-covenant.org/version/1/4","ref":"contributing.html#code-of-conduct","title":"Contributing - Code of Conduct","type":"extras"},{"doc":"MIT License Copyright (c) 2018 Herman Singh Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"A health check utility for any OTP application ExHealth runs a supervised GenServer that performs routine health checks which are configurable to your application. Check out ExHealth.Plug for integrating the result into a web endpoint which yields a JSON response like: { last_check:&quot;2018-09-18T06:43:53.773719Z&quot;, result:{ check_results:[ [ &quot;Database&quot;, &quot;ok&quot; ], [ &quot;PhoenixExampleWeb_Endpoint&quot;, &quot;ok&quot; ] ], msg:&quot;healthy&quot; } }","ref":"readme.html","title":"ExHealth","type":"extras"},{"doc":"Add :ex_health to your list of dependencies in mix.exs : def deps do [ { :ex_health , &quot;~&gt; 0.4.0&quot; } ] end Ensure :ex_health is started alongside your application by adding this to your mix.exs def application do [ applications : [ :ex_health ] ] end","ref":"readme.html#installation","title":"ExHealth - Installation","type":"extras"},{"doc":"Configuration for ExHealth must be present the Application environment. This can be done by updating the :ex_health values in your config/config.exs : config :ex_health , module : MyApplication.HealthChecks , interval_ms : 1000 , # Interval between checks in milliseconds http_err_code : true # Enable http error code (503) on unhealthy status Then you must define a module MyApplication.HealthChecks with some checks: defmodule MyApplication.HealthChecks do process_check ( MyApplication.CacheServer ) test &quot;Redis&quot; do MyRedis . ping ( ) # This should return :ok | {:error, &quot;Message&quot;} end end","ref":"readme.html#getting-started","title":"ExHealth - Getting Started","type":"extras"},{"doc":"To integrate with Phoenix or any other web framework, you can take advantage of ExHealth.Plug which handles serving a JSON response for you. See ExHealth.Plug for instructions.","ref":"readme.html#integrating-with-phoenix","title":"ExHealth - Integrating with Phoenix","type":"extras"},{"doc":"Pull requests are welcome. The best way to get started is to check out CONTRIBUTING . Once you have the repo cloned, just run: $ mix deps.get and then you can start ExHealth with CLI: $ iex -S mix","ref":"readme.html#contributing","title":"ExHealth - Contributing","type":"extras"},{"doc":"Copyright (c) 2018 Herman Singh. This software is licensed under the MIT license .","ref":"readme.html#copyright-and-license","title":"ExHealth - Copyright and License","type":"extras"}]